ChangeSet 1.879.9.16, 2003/01/07 14:52:13-08:00, greg@kroah.com

[PATCH] USB: drivers/usb/host/ fixups due to dev_printk change


diff -Nru a/drivers/usb/host/ehci-dbg.c b/drivers/usb/host/ehci-dbg.c
--- a/drivers/usb/host/ehci-dbg.c	Wed Jan  8 11:58:44 2003
+++ b/drivers/usb/host/ehci-dbg.c	Wed Jan  8 11:58:44 2003
@@ -21,13 +21,13 @@
 #if LINUX_VERSION_CODE > KERNEL_VERSION(2,5,50)
 
 #define ehci_dbg(ehci, fmt, args...) \
-	dev_dbg (*(ehci)->hcd.controller, fmt, ## args )
+	dev_dbg ((ehci)->hcd.controller, fmt, ## args )
 #define ehci_err(ehci, fmt, args...) \
-	dev_err (*(ehci)->hcd.controller, fmt, ## args )
+	dev_err ((ehci)->hcd.controller, fmt, ## args )
 #define ehci_info(ehci, fmt, args...) \
-	dev_info (*(ehci)->hcd.controller, fmt, ## args )
+	dev_info ((ehci)->hcd.controller, fmt, ## args )
 #define ehci_warn(ehci, fmt, args...) \
-	dev_warn (*(ehci)->hcd.controller, fmt, ## args )
+	dev_warn ((ehci)->hcd.controller, fmt, ## args )
 
 #else
 
diff -Nru a/drivers/usb/host/ohci-dbg.c b/drivers/usb/host/ohci-dbg.c
--- a/drivers/usb/host/ohci-dbg.c	Wed Jan  8 11:58:44 2003
+++ b/drivers/usb/host/ohci-dbg.c	Wed Jan  8 11:58:44 2003
@@ -75,7 +75,7 @@
 
 static void ohci_dump_intr_mask (struct device *dev, char *label, __u32 mask)
 {
-	dev_dbg (*dev, "%s: 0x%08x%s%s%s%s%s%s%s%s%s\n",
+	dev_dbg (dev, "%s: 0x%08x%s%s%s%s%s%s%s%s%s\n",
 		label,
 		mask,
 		(mask & OHCI_INTR_MIE) ? " MIE" : "",
@@ -93,7 +93,7 @@
 static void maybe_print_eds (struct device *dev, char *label, __u32 value)
 {
 	if (value)
-		dev_dbg (*dev, "%s %08x\n", label, value);
+		dev_dbg (dev, "%s %08x\n", label, value);
 }
 
 static char *hcfs2string (int state)
@@ -115,12 +115,12 @@
 	__u32			temp;
 
 	temp = readl (&regs->revision) & 0xff;
-	dev_dbg (*dev, "OHCI %d.%d, %s legacy support registers\n",
+	dev_dbg (dev, "OHCI %d.%d, %s legacy support registers\n",
 		0x03 & (temp >> 4), (temp & 0x0f),
 		(temp & 0x10) ? "with" : "NO");
 
 	temp = readl (&regs->control);
-	dev_dbg (*dev, "control: 0x%08x%s%s%s HCFS=%s%s%s%s%s CBSR=%d\n", temp,
+	dev_dbg (dev, "control: 0x%08x%s%s%s HCFS=%s%s%s%s%s CBSR=%d\n", temp,
 		(temp & OHCI_CTRL_RWE) ? " RWE" : "",
 		(temp & OHCI_CTRL_RWC) ? " RWC" : "",
 		(temp & OHCI_CTRL_IR) ? " IR" : "",
@@ -133,7 +133,7 @@
 		);
 
 	temp = readl (&regs->cmdstatus);
-	dev_dbg (*dev, "cmdstatus: 0x%08x SOC=%d%s%s%s%s\n", temp,
+	dev_dbg (dev, "cmdstatus: 0x%08x SOC=%d%s%s%s%s\n", temp,
 		(temp & OHCI_SOC) >> 16,
 		(temp & OHCI_OCR) ? " OCR" : "",
 		(temp & OHCI_BLF) ? " BLF" : "",
@@ -167,7 +167,7 @@
 	ndp = (temp & RH_A_NDP);
 
 	if (verbose) {
-		dev_dbg (*controller->hcd.controller,
+		dev_dbg (controller->hcd.controller,
 			"roothub.a: %08x POTPGT=%d%s%s%s%s%s NDP=%d\n", temp,
 			((temp & RH_A_POTPGT) >> 24) & 0xff,
 			(temp & RH_A_NOCP) ? " NOCP" : "",
@@ -178,14 +178,14 @@
 			ndp
 			);
 		temp = roothub_b (controller);
-		dev_dbg (*controller->hcd.controller,
+		dev_dbg (controller->hcd.controller,
 			"roothub.b: %08x PPCM=%04x DR=%04x\n",
 			temp,
 			(temp & RH_B_PPCM) >> 16,
 			(temp & RH_B_DR)
 			);
 		temp = roothub_status (controller);
-		dev_dbg (*controller->hcd.controller,
+		dev_dbg (controller->hcd.controller,
 			"roothub.status: %08x%s%s%s%s%s%s\n",
 			temp,
 			(temp & RH_HS_CRWE) ? " CRWE" : "",
@@ -205,13 +205,13 @@
 
 static void ohci_dump (struct ohci_hcd *controller, int verbose)
 {
-	dev_dbg (*controller->hcd.controller,
+	dev_dbg (controller->hcd.controller,
 		"OHCI controller state\n");
 
 	// dumps some of the state we know about
 	ohci_dump_status (controller);
 	if (controller->hcca)
-		dev_dbg (*controller->hcd.controller,
+		dev_dbg (controller->hcd.controller,
 			"hcca frame #%04x\n", controller->hcca->frame_no);
 	ohci_dump_roothub (controller, 1);
 }
@@ -517,7 +517,7 @@
 	device_create_file (bus->hcd.controller, &dev_attr_async);
 	device_create_file (bus->hcd.controller, &dev_attr_periodic);
 	// registers
-	dev_dbg (*bus->hcd.controller, "created debug files\n");
+	dev_dbg (bus->hcd.controller, "created debug files\n");
 }
 
 static inline void remove_debug_files (struct ohci_hcd *bus)
diff -Nru a/drivers/usb/host/ohci-hcd.c b/drivers/usb/host/ohci-hcd.c
--- a/drivers/usb/host/ohci-hcd.c	Wed Jan  8 11:58:44 2003
+++ b/drivers/usb/host/ohci-hcd.c	Wed Jan  8 11:58:44 2003
@@ -383,7 +383,7 @@
 
 	/* SMM owns the HC?  not for long! */
 	if (readl (&ohci->regs->control) & OHCI_CTRL_IR) {
-		dev_dbg (*ohci->hcd.controller, "USB HC TakeOver from BIOS/SMM\n");
+		dev_dbg (ohci->hcd.controller, "USB HC TakeOver from BIOS/SMM\n");
 
 		/* this timeout is arbitrary.  we make it long, so systems
 		 * depending on usb keyboards may be usable even if the
@@ -396,7 +396,7 @@
 		while (readl (&ohci->regs->control) & OHCI_CTRL_IR) {
 			wait_ms (10);
 			if (--temp == 0) {
-				dev_err (*ohci->hcd.controller, "USB HC TakeOver failed!\n");
+				dev_err (ohci->hcd.controller, "USB HC TakeOver failed!\n");
 				return -1;
 			}
 		}
@@ -405,7 +405,7 @@
 	/* Disable HC interrupts */
 	writel (OHCI_INTR_MIE, &ohci->regs->intrdisable);
 
-	dev_dbg (*ohci->hcd.controller, "USB HC reset_hc %s: ctrl = 0x%x ;\n",
+	dev_dbg (ohci->hcd.controller, "USB HC reset_hc %s: ctrl = 0x%x ;\n",
 		ohci->hcd.self.bus_name,
 		readl (&ohci->regs->control));
 
@@ -422,7 +422,7 @@
 	temp = 30;	/* ... allow extra time */
 	while ((readl (&ohci->regs->cmdstatus) & OHCI_HCR) != 0) {
 		if (--temp == 0) {
-			dev_err (*ohci->hcd.controller, "USB HC reset timed out!");
+			dev_err (ohci->hcd.controller, "USB HC reset timed out!");
 			return -1;
 		}
 		udelay (1);
@@ -594,7 +594,7 @@
 {	
 	struct ohci_hcd		*ohci = hcd_to_ohci (hcd);
 
-	dev_dbg (*hcd->controller, "stop %s controller%s\n",
+	dev_dbg (hcd->controller, "stop %s controller%s\n",
 		hcfs2string (ohci->hc_control & OHCI_CTRL_HCFS),
 		ohci->disabled ? " (disabled)" : ""
 		);
diff -Nru a/drivers/usb/host/ohci-hub.c b/drivers/usb/host/ohci-hub.c
--- a/drivers/usb/host/ohci-hub.c	Wed Jan  8 11:58:44 2003
+++ b/drivers/usb/host/ohci-hub.c	Wed Jan  8 11:58:44 2003
@@ -41,7 +41,7 @@
 /*-------------------------------------------------------------------------*/
 
 #define dbg_port(hc,label,num,value) \
-	dev_dbg (*hc->hcd.controller, \
+	dev_dbg (hc->hcd.controller, \
 		"%s roothub.portstatus [%d] " \
 		"= 0x%08x%s%s%s%s%s%s%s%s%s%s%s%s\n", \
 		label, num, temp, \
diff -Nru a/drivers/usb/host/ohci-mem.c b/drivers/usb/host/ohci-mem.c
--- a/drivers/usb/host/ohci-mem.c	Wed Jan  8 11:58:44 2003
+++ b/drivers/usb/host/ohci-mem.c	Wed Jan  8 11:58:44 2003
@@ -122,7 +122,7 @@
 	if (*prev)
 		*prev = td->td_hash;
 	else
-		dev_dbg (*hc->hcd.controller, "bad hash for td %p\n", td);
+		dev_dbg (hc->hcd.controller, "bad hash for td %p\n", td);
 	pci_pool_free (hc->td_cache, td, td->td_dma);
 }
 
diff -Nru a/drivers/usb/host/ohci-q.c b/drivers/usb/host/ohci-q.c
--- a/drivers/usb/host/ohci-q.c	Wed Jan  8 11:58:44 2003
+++ b/drivers/usb/host/ohci-q.c	Wed Jan  8 11:58:44 2003
@@ -206,7 +206,7 @@
 	default:
 		branch = balance (ohci, ed->interval, ed->load);
 		if (branch < 0) {
-			dev_dbg (*ohci->hcd.controller,
+			dev_dbg (ohci->hcd.controller,
 				"ERR %d, interval %d msecs, load %d\n",
 				branch, ed->interval, ed->load);
 			// FIXME if there are TDs queued, fail them!
@@ -786,7 +786,7 @@
 	}
 
 	/* help for troubleshooting: */
-	dev_dbg (urb->dev->dev,
+	dev_dbg (&urb->dev->dev,
 		"urb %p usb-%s-%s ep-%d-%s cc %d --> status %d\n",
 		urb,
 		urb->dev->bus->bus_name, urb->dev->devpath,
